Package tigase.db.converter

## Enum Converter.SERVER

- java.lang.Object
- - java.lang.Enum<Converter.SERVER>
  - - tigase.db.converter.Converter.SERVER

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<Converter.SERVER>`
  Enclosing class:
    Converter

      public static enum Converter.SERVER
      extends java.lang.Enum<Converter.SERVER>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ejabberd` |
    `ejabberd_new` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String[]` | `strings` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Converter.SERVER` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static Converter.SERVER[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ejabberd

          public static final Converter.SERVER ejabberd

    - #### ejabberd_new

          public static final Converter.SERVER ejabberd_new

  - ### Field Detail

    - #### strings

          public static final java.lang.String[] strings

  - ### Method Detail

    - #### values

          public static Converter.SERVER[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Converter.SERVER c : Converter.SERVER.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Converter.SERVER valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null